{-# LANGUAGE OverloadedStrings #-}

module Main where

import SEARX
import System.Directory

main :: IO ()
main = do
  res <- getMetadataWith "ia" 1
  case res of
    (Left err) -> print err
    (Right r) -> do
      fp <- setUpDirectory
      article <- parseWebsite fp "https://www.lemonde.fr/politique/article/2019/10/07/apres-l-attentat-a-la-prefecture-de-police-christophe-castaner-sous-le-feu-des-critiques_6014514_823448.html"
      removeDirectoryRecursive $ fp <> "/readability"
      print article
